Subject: bug#77544: (WIP) [PATCH] Prettify page separators.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Apr 2025 13:33:31 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: Elijah Gabe Pérez <[email-masked]>,
>   [email-masked]
> Date: Sat, 05 Apr 2025 10:53:06 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Adding Gerd in case he has ideas, suggestions, or further comments.
> 
> Nothing to add to your comments ATM, but maybe an alternative idea: how
> about solving this with a new type of display property for drawing a
> horizontal line? Say `horizontal-line WIDTH' where WIDTH could be nil or
> something to draw a line to the end of the display area? That would have
> the advantage that it would be a relatively locally confined change and
> would have no impact when not used, and hopefully little potential to
> break unrelated things when not used.

Thanks, sounds like a good idea.

> One would have to have some Lisp though that puts the display property
> on form-feeds.

Right.  Maybe a minor mode?  Or an optional feature of whitespace-mode?